.TH SLIP 8
.SH NAME
slip \- serial line IP
.SH SYNOPSIS
.B ip/slip
[
.B -wP
] [
.B -b
.I baud
] [
.B -m
.I mtu
] [
.B -p
.I dev
] [
.B -x
.I netmntpt
] 
.I local
.I remote
.SH DESCRIPTION
The Serial Line IP is used to encapsulate Internet Protocol packets
for transfer over serial lines.
.PPP
.I Slip
runs as one side of a SLIP channel, that has only two IPs as endpoint.
.PP
SLIP supports the following options:
.TP
.B b
set the baud rate on the communications device
.TP
.B m
set the maximum transfer unit (default 1006)
.TP
.B P
use this as the primary IP interface; set the default
route through this interface and write its configuration
to
.B /net/ndb
.TP
.B p
communicate over
.I dev
instead of standard I/O
.TP
.B w
send CLIENTSERVER before any communication, to be able to
talk to the Microsoft implementation of SLIP.
.TP
.B x
use the IP stack mounted at
.I netmntpt
.PD
.PP
The local and remote address have to be specified, as SLIP
supports no address allocation.
.PD
.SH SOURCE
.B /sys/src/cmd/ip/slip.c
.SH BUGS
.I Slip
waits just for input and then sends CLIENTINFO, instead of
waiting for CLIENT.

